package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 申请对象 apply
 * 
 * @author ruoyi
 * @date 2025-01-26
 */
public class Apply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 演出id */
    @Excel(name = "演出id")
    private Long performId;

    /**
     * 用户id
     */
    private Long userId;

    /** weverse账号 */
    @Excel(name = "weverse账号")
    private String weverseEmail;

    /** weverse密码 */
    @Excel(name = "weverse密码")
    private String weversePassword;

    /** 生日 */
    @Excel(name = "生日")
    private String birthday;

    /** 手机区号 */
    @Excel(name = "手机区号")
    private String countryCode;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phoneNum;

    /** 微信号 */
    @Excel(name = "微信号")
    private String wechatNum;

    /** Token */
    @Excel(name = "Token")
    private String token;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /**
     * 演出
     */
    private Perform perform;


    public Perform getPerform() {
        return perform;
    }

    public void setPerform(Perform perform) {
        this.perform = perform;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPerformId(Long performId)
    {
        this.performId = performId;
    }

    public Long getPerformId()
    {
        return performId;
    }
    public void setWeverseEmail(String weverseEmail)
    {
        this.weverseEmail = weverseEmail;
    }

    public String getWeverseEmail()
    {
        return weverseEmail;
    }
    public void setWeversePassword(String weversePassword)
    {
        this.weversePassword = weversePassword;
    }

    public String getWeversePassword()
    {
        return weversePassword;
    }
    public void setBirthday(String birthday)
    {
        this.birthday = birthday;
    }

    public String getBirthday()
    {
        return birthday;
    }
    public void setCountryCode(String countryCode)
    {
        this.countryCode = countryCode;
    }

    public String getCountryCode()
    {
        return countryCode;
    }
    public void setPhoneNum(String phoneNum)
    {
        this.phoneNum = phoneNum;
    }

    public String getPhoneNum()
    {
        return phoneNum;
    }
    public void setWechatNum(String wechatNum)
    {
        this.wechatNum = wechatNum;
    }

    public String getWechatNum()
    {
        return wechatNum;
    }
    public void setToken(String token)
    {
        this.token = token;
    }

    public String getToken()
    {
        return token;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("performId", getPerformId())
                .append("weverseEmail", getWeverseEmail())
                .append("weversePassword", getWeversePassword())
                .append("birthday", getBirthday())
                .append("countryCode", getCountryCode())
                .append("phoneNum", getPhoneNum())
                .append("wechatNum", getWechatNum())
                .append("token", getToken())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
